package e4.performance.sample.model;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javafx.scene.paint.Color;

public class SampleModelFactory
{
  protected Logger logger = LoggerFactory.getLogger(getClass());

  public SampleModel createACan()
  {

    SampleModel can = new SampleModel(100, 100);

    RectangleModel r1 = new RectangleModel(10, 10, 50, 100, Color.BLUE, true);
    RectangleModel r2 = new RectangleModel(90, 10, 50, 100, Color.BLUE, true);
    RectangleModel r3 = new RectangleModel(170, 10, 50, 100, Color.BLUE, true);
    RectangleModel r4 = new RectangleModel(250, 10, 50, 100, Color.BLUE, true);
    can.addChildElement(r1);
    can.addChildElement(r2);
    can.addChildElement(r3);
    can.addChildElement(r4);
    can.addChildElement(new CircleModel(320, 0, 60, Color.RED, "1"));

    RectangleModel r5 = new RectangleModel(10, 200, 50, 100, Color.BLUE, false);
    RectangleModel r6 = new RectangleModel(90, 200, 50, 100, Color.BLUE, false);
    RectangleModel r7 = new RectangleModel(170, 200, 50, 100, Color.BLUE, false);
    RectangleModel r8 = new RectangleModel(250, 200, 50, 100, Color.BLUE, false);
    can.addChildElement(r5);
    can.addChildElement(r6);
    can.addChildElement(r7);
    can.addChildElement(r8);
    can.addChildElement(new CircleModel(320, 250, 60, Color.RED, "2"));

    return can;
  }

}
