package e4.performance.sample.part;

import java.util.Collections;
import java.util.List;

import org.eclipse.gef.mvc.fx.parts.AbstractContentPart;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.google.common.collect.HashMultimap;
import com.google.common.collect.SetMultimap;

import e4.performance.sample.model.AbstractViewModel;
import javafx.scene.Node;

public abstract class SampleAbstractContentPart<T extends Node> extends AbstractContentPart<T>
{
  protected Logger logger = LoggerFactory.getLogger(getClass());

  @Override
  public AbstractViewModel getContent()
  {
    return (AbstractViewModel) super.getContent();
  }

  @Override
  protected SetMultimap< ? extends Object, String> doGetContentAnchorages()
  {
    return HashMultimap.create();
  }

  @Override
  protected List< ? extends Object> doGetContentChildren()
  {
    return Collections.emptyList();
  }

}
