package e4.performance.sample.model;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javafx.scene.paint.Color;

public class CircleModel extends AbstractViewModel
{

  public static final String IS_OPENED = "isOpened";
  private double c;
  private Color color;
  private boolean isOpened = false;
  private String id;

  public CircleModel(double x, double y, int c, Color color, String id)
  {
    setTranslateX(x);
    setTranslateY(y);
    this.c = c;
    this.color = color;
    this.id = id;
  }

  protected Logger logger = LoggerFactory.getLogger(getClass());

  public double getC()
  {
    return c;
  }

  public void setC(double c)
  {
    this.c = c;
  }

  public Color getColor()
  {
    return color;
  }

  public void setColor(Color color)
  {
    this.color = color;
  }

  public boolean isOpened()
  {
    return isOpened;
  }

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public void setOpened(boolean isOpened)
  {
    if (isOpened)
    {
      this.c = 120;
      setTranslateX(290);
    }
    else
    {
      this.c = 60;
      setTranslateX(320);
    }
    pcs.firePropertyChange(IS_OPENED, this.isOpened, (this.isOpened = isOpened));
  }

}
